# H501AccessRequest Class Reference

`#include <peclient.h>`

Inheritance diagram for H501AccessRequest:

[legend]
Collaboration diagram for H501AccessRequest:
[legend]

## Public Member Functions

| H501AccessRequest (H323PeerElement &pe, const H501PDU &pdu)
virtual void | SetRejectReason (unsigned reasonCode)

## Data Fields

H501_AccessRequest & | arq
H501_AccessConfirmation & | acf
H501_AccessRejection & | arj

## Protected Member Functions

virtual Response | OnHandlePDU ()

## Constructor & Destructor Documentation

H501AccessRequest::H501AccessRequest | ( | H323PeerElement & | pe,
|  | const H501PDU & | pdu |
| ) |  |  |

## Member Function Documentation

virtual Response H501AccessRequest::OnHandlePDU | ( |  | ) | `[protected, virtual]`

Implements H323Transaction.

virtual void H501AccessRequest::SetRejectReason | ( | unsigned | reasonCode | ) | `[virtual]`

Implements H323Transaction.

## Field Documentation

H501_AccessConfirmation& H501AccessRequest::acf

H501_AccessRejection& H501AccessRequest::arj

H501_AccessRequest& H501AccessRequest::arq

The documentation for this class was generated from the following file:

- peclient.h